Rygel.Database.Database.exec – librygel-db Reference Manual

# exec

## Description:

public void exec (string sql, Value[]? arguments = null) throws DatabaseError

Simple SQL query execution function.

Use for all queries that don't return anything.

## Parameters:

sql | The SQL query to run.
arguments | Values to bind in the SQL query or null.

## Exceptions:

DatabaseError | if the underlying SQLite operation fails.